<?php

require_once( TBLIGHT_PLUGIN_PATH . 'admin/models/car.php' );
$carModel = new CarModel;
    
$redirectToListpage = false;

if(isset($_POST['action']) && $_POST['action'] == 'save') // FORM SUBMISSION
{
    $result = handle_form_submission();

    $postData = sanitize_post($_POST);
    $id = $postData['id'];
    
    if ( is_wp_error( $result ) ) {
        if ( is_wp_error( $result ) ) {
            echo '<div class="notice notice-error"><p>Ops, something went wrong. Please rectify this errors</p>';
            echo '<ul>';
                echo '<li>' . implode( '</li><li>', $result->get_error_messages() ) . '</li>';
            echo '</ul></div>';
        }
        
        if($id == 0) // new item
        {
            $item = $carModel->getDefaultData();
            $heading = "Add a new Car";
        }
        else
        {
            $item = $carModel->getItemById($id);
            
            if(!empty($item)){
                $heading = "Edit Car";
            }
        }
    
        require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/cars/edit.php');
    }
    else {
        //echo "<pre>"; print_r($postData); die();
        $newItemId = $carModel->store($postData);
        
        if($newItemId > 0){
            wp_redirect( admin_url('admin.php?page=cars&action=show&id='.$newItemId.'&success=1') );
            exit;
        }
    }
}

if(isset($_GET['action']))
{
    $action = $_GET['action'];
    $id = ( isset( $_GET['id'] ) ) ? absint($_GET['id']) : 0;
    
    if($action == "show")
    {
        $item = $carModel->getItemById($id);
        $heading = "Car Details";
        if(!empty($item)){
            require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/cars/details.php');
        }
        else {
            $redirectToListpage = true;
        }
    }
    elseif ($action == "edit") {
        
        if($id == 0) // new item
        {
            $item = $carModel->getDefaultData();
            $heading = "Add a new Car";
            
            require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/cars/edit.php');
        }
        else
        {
            $item = $carModel->getItemById($id);

            if(!empty($item)){
                
                $heading = "Edit Car";
                require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/cars/edit.php');
            }
            else {
                $redirectToListpage = true;
            }
        }
    }
    elseif ($action == "status") {
        
        // In our file that handles the request, verify the nonce.
        $nonce = esc_attr( $_REQUEST['_wpnonce'] );

        if ( ! wp_verify_nonce( $nonce, 'tblight_status_car' ) ) {
            require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/cars/list.php');
        }
        else {
            $carModel->status($id);

            // esc_url_raw() is used to prevent converting ampersand in url to "#038;"
            // add_query_arg() return the current url
            wp_redirect( admin_url('admin.php?page=cars') );
            exit;
        }
        
    }
    elseif ($action == "delete") {
        
        // In our file that handles the request, verify the nonce.
        $nonce = esc_attr( $_REQUEST['_wpnonce'] );

        if ( ! wp_verify_nonce( $nonce, 'tblight_delete_car' ) ) {
            require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/cars/list.php');
        }
        else {
            $carModel->delete($id);

            // esc_url_raw() is used to prevent converting ampersand in url to "#038;"
            // add_query_arg() return the current url
            wp_redirect( admin_url('admin.php?page=cars') );
            exit;
        }
    }
}
else
{
    $redirectToListpage = true;
}

if($redirectToListpage){
    require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/cars/list.php');
}

function handle_form_submission() {
    // do your validation, nonce and stuffs here

    // Instantiate the WP_Error object
    $error = new WP_Error();

    // Make sure user supplies the car title
    if ( empty( $_POST['title'] ) ) {
        $error->add( 'empty', 'Title is required' );
    }
    
    if ( empty( $_POST['passenger_no'] ) ||  $_POST['passenger_no'] == 0) {
        $error->add( 'empty', 'Maximum Passengers is required' );
    }

    if ( empty( $_POST['unit_price'] ) ||  $_POST['unit_price'] == 0) {
        $error->add( 'empty', 'Price per Mile is required' );
    }
    
    // Send the result
    if ( !empty( $error->get_error_codes() ) ) {
        return $error;
    }
    
    // Everything is fine
    return true;
}