<?php

require_once( TBLIGHT_PLUGIN_PATH . 'admin/models/config.php' );
$configModel = new ConfigModel;
    
$redirectToListpage = false;

if(isset($_POST['action']) && $_POST['action'] == 'save') // FORM SUBMISSION
{
    $result = handle_form_submission();

    $postData = sanitize_post($_POST);
    $id = $postData['id'];

    if ( is_wp_error( $result ) ) {
        if ( is_wp_error( $result ) ) {
            echo '<div class="notice notice-error"><p>Ops, something went wrong. Please rectify this errors</p>';
            echo '<ul>';
                echo '<li>' . implode( '</li><li>', $result->get_error_messages() ) . '</li>';
            echo '</ul></div>';
        }
        
        if($id == 0) // new item
        {
            $item = $configModel->getDefaultData();
            $heading = "Add a new Config";
        }
        else
        {
            $item = $configModel->getItemById($id);
            
            if(!empty($item)){
                $heading = "Edit Config";
            }
        }
    
        require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/configs/edit.php');
    }
    else {
        //echo "<pre>"; print_r($_POST); die();
        $newItemId = $configModel->store($postData);
        
        if($newItemId > 0){
            wp_redirect( admin_url('admin.php?page=configs&success=1') );
            exit;
        }
    }
}

if(isset($_GET['action']))
{
    $action = $_GET['action'];
    $id = ( isset( $_GET['id'] ) ) ? absint($_GET['id']) : 0;
    
    if($action == "show")
    {
        $item = $configModel->getItemById($id);
        $heading = "Config Details";
        if(!empty($item)){
            require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/configs/details.php');
        }
        else {
            $redirectToListpage = true;
        }
    }
    elseif ($action == "edit") {
        
        if($id == 0) // new item
        {
            $item = $configModel->getDefaultData();
            $heading = "Add a new Config";
            
            require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/configs/edit.php');
        }
        elseif($id == 1) // general settings
        {
            $item = $configModel->getItemById($id);
            $data = json_decode($item->text);
            //echo "<pre>"; print_r($data); echo "</pre>";
            if(!empty($item)){
                
                $heading = "General Settings";
                require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/configs/edit_general.php');
            }
            else {
                $redirectToListpage = true;
            }
        }
        elseif($id == 2) // price settings
        {
            $item = $configModel->getItemById($id);
            $data = json_decode($item->text);
            //echo "<pre>"; print_r($data); echo "</pre>";
            if(!empty($item)){
                
                $heading = "General Price Settings";
                require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/configs/edit_price.php');
            }
            else {
                $redirectToListpage = true;
            }
        }
        elseif($id == 3) // map settings
        {
            $item = $configModel->getItemById($id);
            $data = json_decode($item->text);
            //echo "<pre>"; print_r($data); echo "</pre>";
            if(!empty($item)){
                
                $heading = "Map Settings";
                require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/configs/edit_map.php');
            }
            else {
                $redirectToListpage = true;
            }
        }
        elseif($id == 4) // base settings
        {
            $item = $configModel->getItemById($id);
            $data = json_decode($item->text);
            //echo "<pre>"; print_r($data); echo "</pre>";
            if(!empty($item)){
                
                $heading = "Base Settings";
                require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/configs/edit_base.php');
            }
            else {
                $redirectToListpage = true;
            }
        }
        elseif($id == 5) // orderemail settings
        {
            $item = $configModel->getItemById($id);
            $data = json_decode($item->text);
            //echo "<pre>"; print_r($data); echo "</pre>";
            if(!empty($item)){
                
                $heading = "Order Email Settings";
                require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/configs/edit_orderemail.php');
            }
            else {
                $redirectToListpage = true;
            }
        }
        elseif($id == 6) // terms settings
        {
            $item = $configModel->getItemById($id);
            $data = json_decode($item->text);
            //echo "<pre>"; print_r($data); echo "</pre>";
            if(!empty($item)){
                
                $heading = "Terms Settings";
                require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/configs/edit_terms.php');
            }
            else {
                $redirectToListpage = true;
            }
        }
        elseif($id == 7) // design settings
        {
            $item = $configModel->getItemById($id);
            $data = json_decode($item->text);
            //echo "<pre>"; print_r($data); echo "</pre>";
            if(!empty($item)){
                
                $heading = "Design Settings";
                require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/configs/edit_design.php');
            }
            else {
                $redirectToListpage = true;
            }
        }
    }
    elseif ($action == "delete") {
        
        // In our file that handles the request, verify the nonce.
        $nonce = esc_attr( $_REQUEST['_wpnonce'] );

        if ( ! wp_verify_nonce( $nonce, 'tblight_delete_config' ) ) {
            require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/configs/list.php');
        }
        else {
            $configModel->delete($id);

            // esc_url_raw() is used to prevent converting ampersand in url to "#038;"
            // add_query_arg() return the current url
            wp_redirect( admin_url('admin.php?page=configs') );
            exit;
        }
    }
}
else
{
    $redirectToListpage = true;
}

if($redirectToListpage){
    require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/configs/list.php');
}

function handle_form_submission() {
    // do your validation, nonce and stuffs here

    // Instantiate the WP_Error object
    $error = new WP_Error();

    // Make sure user supplies the config title
    if ( empty( $_POST['title'] ) ) {
        $error->add( 'empty', 'Title is required' );
    }
    
    // Send the result
    if ( !empty( $error->get_error_codes() ) ) {
        return $error;
    }
    
    // Everything is fine
    return true;
}