<?php

require_once( TBLIGHT_PLUGIN_PATH . 'admin/models/order.php' );
$orderModel = new OrderModel;
    
$redirectToListpage = false;

if(isset($_POST['action']) && $_POST['action'] == 'save') // FORM SUBMISSION
{   
    $result = handle_form_submission();

    $postData = sanitize_post($_POST);
    $id = $postData['id'];

    if ( is_wp_error( $result ) ) {
        if ( is_wp_error( $result ) ) {
            echo '<div class="notice notice-error"><p>Ops, something went wrong. Please rectify this errors</p>';
            echo '<ul>';
                echo '<li>' . implode( '</li><li>', $result->get_error_messages() ) . '</li>';
            echo '</ul></div>';
        }
        
        if($id == 0) // new item
        {
            $item = $orderModel->getDefaultData();
            $heading = "Add a new Order";
        }
        else
        {
            $item = $orderModel->getItemById($id);
            
            if(!empty($item)){
                $heading = "Edit Order";
            }
        }
    
        require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/orders/edit.php');
    }
    else {
        //echo "<pre>"; print_r($postData); die();
        $newItemId = $orderModel->store($postData);
        
        if($newItemId > 0){
            wp_redirect( admin_url('admin.php?page=orders&action=show&id='.$newItemId.'&success=1') );
            exit;
        }
    }
}

if(isset($_GET['action']))
{
    $action = $_GET['action'];
    $id = ( isset( $_GET['id'] ) ) ? absint($_GET['id']) : 0;
    
    if($action == "show")
    {
        $item = $orderModel->getItemById($id);
        $heading = "Order Details";
        if(!empty($item)){
            require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/orders/details.php');
        }
        else {
            $redirectToListpage = true;
        }
    }
    elseif ($action == "edit") {
        
        if($id == 0) // new item
        {
            $item = $orderModel->getDefaultData();
            $heading = "Add a new Order";
            
            require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/orders/edit.php');
        }
        else
        {
            require_once(TBLIGHT_PLUGIN_PATH . 'classes/booking.helper.php');
            $elsettings = BookingHelper::config();

            $item = $orderModel->getItemById($id);

            $item->pickup_date = BookingHelper::date_format($item->datetime1, 'Y-m-d', $elsettings);
            $item->pickup_hr = BookingHelper::date_format($item->datetime1, 'H', $elsettings);
            $item->pickup_min = BookingHelper::date_format($item->datetime1, 'i', $elsettings);            
                      
            if(!empty($item)){
                
                $heading = "Edit Order";
                require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/orders/edit.php');
            }
            else {
                $redirectToListpage = true;
            }
        }
    }
    elseif ($action == "status") {
        
        // In our file that handles the request, verify the nonce.
        $nonce = esc_attr( $_REQUEST['_wpnonce'] );

        if ( ! wp_verify_nonce( $nonce, 'tblight_status_order' ) ) {
            require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/orders/list.php');
        }
        else {
            $orderModel->status($id);

            // esc_url_raw() is used to prevent converting ampersand in url to "#038;"
            // add_query_arg() return the current url
            wp_redirect( admin_url('admin.php?page=orders') );
            exit;
        }
        
    }
    elseif ($action == "delete") {
        
        // In our file that handles the request, verify the nonce.
        $nonce = esc_attr( $_REQUEST['_wpnonce'] );

        if ( ! wp_verify_nonce( $nonce, 'tblight_delete_order' ) ) {
            require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/orders/list.php');
        }
        else {
            $orderModel->delete($id);

            // esc_url_raw() is used to prevent converting ampersand in url to "#038;"
            // add_query_arg() return the current url
            wp_redirect( admin_url('admin.php?page=orders') );
            exit;
        }
    }
}
else
{
    $redirectToListpage = true;
}

if($redirectToListpage){
    require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/orders/list.php');
}

function handle_form_submission() {
    // do your validation, nonce and stuffs here

    // Instantiate the WP_Error object
    $error = new WP_Error();

    // Make sure user supplies the order names
    if ( empty( $_POST['names'] ) ) {
        $error->add( 'empty', 'Name is required' );
    }
	if ( empty( $_POST['email'] ) ) {
        $error->add( 'empty', 'Email is required' );
    }
	if ( empty( $_POST['selpassengers'] ) ) {
        $error->add( 'empty', 'Passenger is required' );
    }
    
    // Send the result
    if ( !empty( $error->get_error_codes() ) ) {
        return $error;
    }
    
    // Everything is fine
    return true;
}