<?php

class CarModel
{
    public $dbtable;
    
    public function __construct()
    {
        global $wpdb;

        $this->dbtable = $wpdb->prefix.'tblight_cars';
    }
    
    public function getItems()
    {
        global $wpdb;
        
        $rows = $wpdb->get_results("SELECT * FROM ".$this->dbtable);
        
        return $rows;
    }
    
    public function getItemById($id = 0)
    {
        global $wpdb;
        
        $row = $wpdb->get_row("SELECT * FROM ".$this->dbtable." WHERE id='".$id."'");
        
        return $row;
    }
    
    public function getDefaultData()
    {
        $row = new stdClass;
        
        $row->id = 0;
        $row->title = '';
        $row->state = 1;
        $row->min_passenger_no = 0;
        $row->passenger_no = 0;
        $row->suitcase_no = 0;
        $row->child_seat_no = 0;
        $row->child_seat_price = 0;
        $row->image = '';
        $row->price = 0;
        $row->minmil = 0;
        $row->minprice = 0;
        $row->unit_price = 0;
        $row->charge_per_min = 0;
        $row->track_availability = 1;
        $row->days_availability = '[{"is_available":"1","opening_hrs":"-1","opening_mins":"-1","closing_hrs":"-1","closing_mins":"-1"},{"is_available":"1","opening_hrs":"-1","opening_mins":"-1","closing_hrs":"-1","closing_mins":"-1"},{"is_available":"1","opening_hrs":"-1","opening_mins":"-1","closing_hrs":"-1","closing_mins":"-1"},{"is_available":"1","opening_hrs":"-1","opening_mins":"-1","closing_hrs":"-1","closing_mins":"-1"},{"is_available":"1","opening_hrs":"-1","opening_mins":"-1","closing_hrs":"-1","closing_mins":"-1"},{"is_available":"1","opening_hrs":"-1","opening_mins":"-1","closing_hrs":"-1","closing_mins":"-1"},{"is_available":"1","opening_hrs":"-1","opening_mins":"-1","closing_hrs":"-1","closing_mins":"-1"}]';
        $row->blocked_dates = '[]';
        $row->text = '';

        return $row;
    }

    public function store($postData)
    {
        global $wpdb;
        
        $id = (int)$postData['id'];
        $title = $postData['title'];
        $alias = sanitize_title($postData['title']);
        $state = $postData['state'];
        $min_passenger_no = $postData['min_passenger_no'];
        $passenger_no = $postData['passenger_no'];
        $suitcase_no = $postData['suitcase_no'];
        $child_seat_no = $postData['child_seat_no'];
        $child_seat_price = $postData['child_seat_price'];
        $image = $postData['image'];
        $price = $postData['price'];
        $minmil = $postData['minmil'];
        $minprice = $postData['minprice'];
        $unit_price = $postData['unit_price'];
        $charge_per_min = $postData['charge_per_min'];
        $track_availability = $postData['track_availability'];
        $days_availability = $postData['days_availability'];
        //$blocked_dates = $postData['blocked_dates'];
        $text = $postData['text'];
        
        $blockeddatesArr = array();
        if(!empty($postData['blocked_dates']))
        {
            foreach($postData['blocked_dates'] as $v)
            {
                if($v != "")
                {
                    $blockeddatesArr[] = $v;
                }
            }
        }
        
        if ($id == 0) // New Item
        {
            $row = $wpdb->insert($this->dbtable, 
                array(
                    "title" => $title,
                    "alias" => $alias,
                    "state" => $state,
                    "min_passenger_no" => $min_passenger_no,
                    "passenger_no" => $passenger_no,
                    "suitcase_no" => $suitcase_no,
                    "child_seat_no" => $child_seat_no,
                    "child_seat_price" => $child_seat_price,
                    "image" => $image,
                    "price" => $price,
                    "minmil" => $minmil,
                    "minprice" => $minprice,
                    "unit_price" => $unit_price,
                    "charge_per_min" => $charge_per_min,
                    "track_availability" => $track_availability,
                    "days_availability" => json_encode($days_availability),
                    "blocked_dates" => json_encode($blockeddatesArr),
                    "text" => $text,
                    "created_by" => get_current_user_id(),
                    "created" => current_time('Y-m-d H:i:s')
                ),
                array(
                    '%s', //title
                    '%s', //alias
                    '%d', //state
                    '%d', //min_passenger_no
                    '%d', //passenger_no
                    '%d', //suitcase_no
                    '%d', //child_seat_no
                    '%d', //child_seat_price
                    '%s', //image
                    '%d', //price
                    '%d', //minmil
                    '%d', //minprice
                    '%d', //unit_price
                    '%d', //charge_per_min
                    '%d', //track_availability
                    '%s', //days_availability
                    '%s', //blocked_dates
                    '%s', //text
                    '%d', //created_by
                    '%s'  //created
                )
            );
            
            $id = (int)$wpdb->insert_id;
        }
        elseif ($id > 0)
        {
            $row = $wpdb->update($this->dbtable, 
                array(
                    "title" => $title,
                    "alias" => $alias,
                    "state" => $state,
                    "min_passenger_no" => $min_passenger_no,
                    "passenger_no" => $passenger_no,
                    "suitcase_no" => $suitcase_no,
                    "child_seat_no" => $child_seat_no,
                    "child_seat_price" => $child_seat_price,
                    "image" => $image,
                    "price" => $price,
                    "minmil" => $minmil,
                    "minprice" => $minprice,
                    "unit_price" => $unit_price,
                    "charge_per_min" => $charge_per_min,
                    "track_availability" => $track_availability,
                    "days_availability" => json_encode($days_availability),
                    "blocked_dates" => json_encode($blockeddatesArr),
                    "text" => $text,
                    "modified_by" => get_current_user_id(),
                    "modified" => current_time('Y-m-d H:i:s')
                ), 
                array(
                    "id" => $id
                )
            );
        }
        
        return $id;
    }
    
    public function delete($id = 0)
    {
        global $wpdb;
        
        $wpdb->query("DELETE FROM ".$this->dbtable." WHERE id = '".esc_sql($id)."'");
        
        return true;
    }

    public function status($id = 0)
    {
        global $wpdb;

        $row = $wpdb->get_row("SELECT state FROM ".$this->dbtable." WHERE id='".$id."'");
        
        if ($row->state == 0) {
            $wpdb->update( $this->dbtable, array( 'state' => 1),array('id'=>esc_sql($id)));
        } else {
            $wpdb->update( $this->dbtable, array( 'state' => 0),array('id'=>esc_sql($id)));
        }
        
        return true;
    }
}