<?php
require_once(TBLIGHT_PLUGIN_PATH . 'fields/select.list.php'); 
wp_enqueue_script( 'paymentmethods-custom', TBLIGHT_PLUGIN_DIR_URL . 'admin/js/paymentmethods.js' );
?>
<legend class="block-heading"><?php echo $heading;?></legend>
<div class="tblight-wrap">
	
	<form method="post" name="admin-form" id="admin-form" class="admin-form validate">	
		<?php wp_nonce_field( 'create-paymentmethod', 'tblight_create_paymentmethod' ); ?>
		<input type="hidden" name="action" value="save" />
		<?php // echo "<pre>"; print_r($item); echo "</pre>"; ?>

		<div id="tabs" class="paymentMethodTabs">
			<ul>
				<li><a href="#payment-info">Payment Method Information</a></li>
				<li><a href="#config-info">Configuration</a></li>
			</ul>
			<div id="payment-info">
				<div class="form-group clearfix form-required">
					<label class="label"><?php _e( 'Title' ); ?> <span class="star">*</span></label>
					<input type="text" name="title" id="title" class="form-control regular-text requried" aria-required="true" value="<?php echo $item->title; ?>" />
				</div>
				<div class="form-group clearfix">
					<label class="label"><?php _e( 'Payment Method' ); ?></label>
					<div>
						<?php echo SelectList::getPaymentOptions('payment_element', 'payment_element', $item->payment_element) ?>
					</div>
				</div>
				<input type="hidden" name="language" value="*" />
				<div class="form-group clearfix">
					<label class="label"><?php _e( 'Published' ); ?></label>
					<fieldset id="state" class="btn-group btn-group-yesno radio">
						<input type="radio" id="state1" name="state" value="1" <?php echo ($item->state)?'checked="checked"':''; ?> />
						<label for="state1" class="btn <?php echo ($item->state)?'active':''; ?>">Yes</label>
						<input type="radio" id="state0" name="state" value="0" <?php echo ($item->state)?'':'checked="checked"'; ?> />
						<label for="state0" class="btn <?php echo ($item->state)?'':'active'; ?>">No</label>
					</fieldset>
				</div>
				<div class="form-group clearfix">
					<label class="label"><?php _e( 'Description' ); ?></label>
					<textarea name="text"><?php echo $item->text; ?></textarea>
				</div>
			</div>
			<div id="config-info">				
			    <?php
			    if(!empty($item->payment_element) && file_exists(TBLIGHT_PLUGIN_PATH . 'admin/views/paymentmethods/plugins/'.$item->payment_element.'.php'))
			    {
					require_once(TBLIGHT_PLUGIN_PATH . 'admin/views/paymentmethods/plugins/'.$item->payment_element.'.php');
			    }
			    else {
					echo '<p>Please select a Payment Method in the tab Payment Method Information, and click Save button to display the appropriate parameters here.</p>';
			    }
			    ?>
			</div>
		</div>		
		

		<input type="hidden" name="id" value="<?php echo $id; ?>" />
		<input type="submit" name="submit" id="submit" class="button button-primary submit-paymentmethod" value="Save" ?>
		<a href="<?php echo admin_url('admin.php?page=paymentmethods'); ?>" class="button" data-action="back">Cancel</a>
	</form>
	
</div>