<?php
// prepare hr and min dropdown data
if($elsettings->date_format=='mm-dd-yy') {
    $date_format = 'm-d-Y';
}
else {
    $date_format = 'd-m-Y';
}

$now = current_time('timestamp');
$minimum_time_allowed = $now+(float)$elsettings->restrict_time*3600;
$min_pickup_hr = date('H', $minimum_time_allowed);
$pickup_ampm = 'AM';

if($elsettings->load_current_date){
    $pickup_date = date($date_format, $minimum_time_allowed);
    if($elsettings->time_format=='24hr') {
	$pickup_hr = date('H', $minimum_time_allowed);
	$pickup_min = date('i', $minimum_time_allowed);
    }
    else {
	$pickup_hr = date('h', $minimum_time_allowed);
	$pickup_min = date('i', $minimum_time_allowed);
	$pickup_ampm = date('A', $minimum_time_allowed);
    }
    // Round minute value to the next multiple of 5, exclude the current number
    $pickup_min = round(($pickup_min+5/2)/5)*5;
    
    // if modified pickup min is 60, then add 5 mins to minimum allowed time and recalculate times
    if($pickup_min==60)
    {
	$minimum_time_allowed += 300; 
	$pickup_date = date($date_format, $minimum_time_allowed);
	if($elsettings->time_format=='24hr') {
	    $pickup_hr = date('H', $minimum_time_allowed);
	    $pickup_min = date('i', $minimum_time_allowed);
	}
	else {
	    $pickup_hr = date('h', $minimum_time_allowed);
	    $pickup_min = date('i', $minimum_time_allowed);
	    $pickup_ampm = date('A', $minimum_time_allowed);
	}
	$pickup_min = round(($pickup_min+5/2)/5)*5;
    }
    $pickup_min = str_pad($pickup_min, 2, "0", STR_PAD_LEFT); 
}
else {
    $pickup_date = ''; 
    $pickup_hr = '';
    $pickup_min = '';
    $pickup_ampm = 'AM';
}

if($elsettings->time_format=='24hr') {
    $hr_start = 0;
    $hr_end_limit = 24;
}
else {
    $hr_start = 1;
    $hr_end_limit = 13;
}

// get the maximum passengers
$max = BookingHelper::getMaxSeatsData();
$max_passenger = isset($max->max_passenger) ? $max->max_passenger : 8;
$max_suitcase = isset($max->max_suitcase) ? $max->max_suitcase : 9;
$max_child = isset($max->max_child) ? $max->max_child : 5;

$passenger_options = array(0 => 0);
for ($i = 1; $i <= $max_passenger; $i++) {
    $passenger_options[$i] = $i;
}

$suitcases_options = array(0 => 0);
for ($i = 1; $i <= $max_suitcase; $i++) {
    $suitcases_options[$i] = $i;
}

$chseats_options = array(0 => 0);
for ($i = 1; $i <= $max_child; $i++) {
    $chseats_options[$i] = $i;
}

$has_chseats = ($max_child > 0) ? true : false;
?>

<div id="limobooking-step1-container-area" class="limobooking-step1-container-area custom-clearfix">
	<div class="left-right-wrap custom-clearfix">
		<div class="limobooking-step1-left-area custom-col-sm-6">
			<input type="hidden" id="booking_type" name="booking_type" value="address" />
			<div class="step1-inputWrap custom-form-group custom-form-group-lg non-shuttle non-shared-rides timeSet">
				<div class="custom-row">
					<label class="custom-label-lg full-width pickup-date-time-label"><?php echo _e('BOOKING_FORM_SELECT_DATE_LABEL', 'tblight');?></label>
					<div class="step1-sm-inputWrap pickupDate custom-col-xs-6 custom-col-md-6">
						<div id="pickupDateHolderStep1" class="pickupDateHolderStep1 custom-input-group custom-input-group-lg">
							<input type="text" name="orderdate" id="pickupDateStep1" class="datepickerbox custom-form-control datepickerbutton required" value="<?php echo $pickup_date; ?>" />
							<span class="custom-input-group-btn datepickerbutton">
							<button type="button" class="custom-btn custom-btn-default calendar">
								<span class="icon"><i class="fa fa-calendar"></i></span>
							</button>
							</span>
						</div>
					</div>
				    <?php
				    if($elsettings->time_format=='12hr') {
					$additional_class = ' custom-col-xs-4 custom-col-md-4';
				    }
				    else {
					$additional_class = ' custom-col-xs-6 custom-col-md-6';
				    }
				    ?>					
					<div class="step1-sm-inputWrap pickupTime custom-col-xs-6 custom-col-md-6">
						<div class="time-date-wrapper">
							<div id="pickupTimeHolderStep1" class="pickupTimeHolderStep1 hour <?php echo $additional_class; ?>">
								<input type="text" name="selPtHr1" id="selPtHr1" readonly="readonly" class="custom-form-control" value="<?php echo $pickup_hr; ?>" placeholder="<?php echo _e('HRS', 'tblight');?>" />
								<div class="timepicker-hours pickup-hours" data-action="selectHour" style="display:none;">
									<table class="custom-table-condensed">
										<tbody>
											<tr>
											<?php
											$counter = 0;
											for($i = $hr_start; $i < $hr_end_limit; $i++)
											{
												$i = ($i < 10) ? "0$i" : $i;
												echo '<td class="hour">'.$i.'</td>';
												$counter++;
												if($counter%4==0){
												echo '</tr><tr>';
												}
											}
											?>
											</tr>
										</tbody>
									</table>
								</div>
							</div>
							<div id="pickupTimeHolderStep2" class="pickupTimeHolderStep2 min <?php echo $additional_class; ?>">
								<input type="text" name="selPtMn1" id="selPtMn1" readonly="readonly" class="custom-form-control" value="<?php echo $pickup_min; ?>" placeholder="<?php echo _e('MINS', 'tblight');?>" />
								<div class="timepicker-minutes pickup-minutes" data-action="selectMinute" style="display:none;">
									<table class="custom-table-condensed">
										<tbody>
											<tr>
											<?php
											$counter = 0;
											for ($i = 0; $i <= 55; $i = $i + 5)
											{
												$i = ($i < 10) ? "0$i" : $i;
												echo '<td class="minute">'.$i.'</td>';
												$counter++;
												if($counter%4==0){
												echo '</tr><tr>';
												}
											}
											?>
											</tr>
										</tbody>
									</table>
								</div>
							</div>
							
							<?php if($elsettings->time_format=='12hr') { ?>
							<div id="pickupTimeHolderStep3" class="pickupTimeHolderStep3 custom-col-xs-4 custom-col-md-4 ampm">
							    <?php
							    $optionsArr = array("AM" => "AM", "PM" => "PM");
							    echo SelectList::getSelectListHtml("seltimeformat1", "styler_list", $optionsArr, $pickup_ampm);
							    ?>
							</div>
							<?php }?>
						</div>
					</div>
					<span class="error custom-text-danger"></span>
				</div>
			</div>
			<div id="tabs_address" class="service-type-elems-wrapper">
				<div class="step1-inputWrap custom-form-group custom-form-group-lg pickup_wrap pac-container-wrapper">
					<label class="custom-label-lg" id="pickuplocation"><?php echo _e('TAXI_FROM', 'tblight'); ?></label>
					<div class="userlocationOuter">
						<div class="userlocationWrap">
							<div class="getlocationField">
								<a rel="nofollow" href="javascript:void(0);" aria-label="pickup_direction" class="pickup_direction"><i class="fa fa-crosshairs" aria-hidden="true"></i></a>
							</div>
							<input type="text" class="custom-form-control custom-required" name="address_from" id="address_from" autocomplete="off" value="" placeholder="<?php echo _e('ENTER_ADDRESS', 'tblight'); ?>" />
							<span class="error"></span>
							<input type="hidden" name="address_from_lat" id="address_from_lat" value="" />
							<input type="hidden" name="address_from_lng" id="address_from_lng" value="" />
						</div>
					</div>
				</div>
				<div class="step1-inputWrap custom-form-group custom-form-group-lg dropoff_wrap pac-container-wrapper">
					<label class="custom-label-lg" id="dropofflocation"><?php echo _e('TAXI_TO', 'tblight'); ?></label>
					<div class="userlocationOuter">
						<div class="userlocationWrap">
							<div class="getlocationField">
								<a rel="nofollow" href="javascript:void(0);" aria-label="dropoff_direction" class="dropoff_direction"><i class="fa fa-crosshairs" aria-hidden="true"></i></a>
							</div>
							<input type="text" class="custom-form-control required" name="address_to" id="address_to" autocomplete="off" value="" placeholder="<?php echo _e('ENTER_ADDRESS', 'tblight'); ?>" />
							<input type="hidden" name="address_to_lat" id="address_to_lat" value="" />
							<input type="hidden" name="address_to_lng" id="address_to_lng" value="" />
						</div>
					</div>
				</div>
				<div class="step1-inputWrap form-group form-group-lg viewMapBtn" style="display: none">
					<input type="button" value="<?php echo _e('VIEW_MAP_BTN_LBL', 'tblight');?>" class="btn button-color viewMapTrigger" />
				</div>
			</div>
			<!-- comes from bottom part start -->
			<div class="custom-form-group custom-form-group-lg non-shuttle no-margin-bottom non-shared-rides">
				<div class="custom-row">
					<?php if((int)$elsettings->show_passengers_select==1){ ?>
					<div class="step1-inputWrap-sm custom-form-group custom-form-group-lg custom-col-xs-6 custom-col-md-6">
						<label class="custom-label-lg" id=""><?php echo _e('PASSENGER_SEATS', 'tblight'); ?></label>
						<div id="passengers-styler">
						<?php
						echo SelectList::getSelectListHtml("passengers", "styler_list seat_options required", $passenger_options, $elsettings->default_adult_seat);
						?>
						</div>						
					</div>
					<?php } else { ?>
					<input type="hidden" name="passengers" value="<?php echo ((int)$elsettings->default_adult_seat>0) ? $elsettings->default_adult_seat: 1;?>" />
					<?php } ?>
					
					<?php if((int)$elsettings->show_suitcase_select==1){ ?>
					<div class="step1-inputWrap-sm custom-form-group custom-form-group-lg custom-col-xs-6 custom-col-md-6">
						<label class="custom-label-lg" id=""><?php echo _e('SUITCASE_NO', 'tblight'); ?></label>
						<div id="suitcases-styler">
						<?php
						echo SelectList::getSelectListHtml("suitcases", "styler_list seat_options", $suitcases_options);
						?>
						</div>
					</div>
					<?php } ?>
				</div>
			</div>
			<?php if($has_chseats) { ?>
			<div class="buttonWrap non-shuttle non-shared-rides">
				<a href="javascript:void(0);" class="custom-btn custom-btn-default custom-btn-sm button-color" data-toggle="custom-modal" data-target="#childSeatsModal">
					<i class="fa fa-child"></i> <?php echo _e('BOOKING_FORM_RIDING_CHILD_BTN_LABEL', 'tblight');?>
				</a>
			</div>
			<?php } ?>
			<div class="childSeatsButtons-list" style="display: none;">
				<div class="childSeatsButtons">
					<span>
					    <strong id="childSeatCaption"><?php echo _e('BOOKING_FORM_ADDITIONAL_SEATS_HEADER', 'tblight');?>:</strong> 
					    <span id="ChildSeatsLabel">
						<span id="chSeatsLabel" style="">&nbsp;<?php echo _e('CHILD_SEATS', 'tblight');?> (<span id="chSeatsCount"></span>)</span>
					    </span>
					</span>
					<div class="overlay-icon">
						<span>
						<a href="javascript:void(0);" class="btn-icon" title="Click to edit" id="edit_child_seats_btn"><i class="fa fa-edit"></i></a>
						</span>
					</div>
				</div>
			</div>

			<!-- comes from bottom part end -->
			<div class="limobooking-step1-bottom-area desktop-device">
				<div class="custom-form-group non-shared-rides">
					<div id="step1Error" class="custom-alert custom-alert-danger" style="display: none;" role="alert"></div>
					<button class="custom-btn custom-btn-primary custom-btn-lg custom-btn-block see_price button-color" type="button"><?php echo _e('SEE_PRICE', 'tblight'); ?></button>
				</div>
			</div>
		</div>
		<?php if($elsettings->show_map_in_popup_only==1) { ?>
		<div class="limobooking-step1-right-area custom-col-sm-6 non-shared-rides" id="mapOff" style="visibility:hidden; width: 0px; height: 0px;">
			<div id="mapOuter" style="visibility:hidden;">
				<div class="mapInner">
					<div class="mapWrap" id="map-canvas-step1" style="height: 300px;"></div>
					<div id="map-close"><i class="fa fa-close"></i></div>
					<div class="estimatedDistanceInfo" style="display: none;">
						<span id="estimatedDistance"></span>
						<span id="estimatedDuration"></span>			
					</div>
				</div>
			</div>
		</div>
		<?php } else { ?>
		<div class="limobooking-step1-right-area custom-col-sm-6 non-shared-rides no-popup" id="mapOff">
			<div class="mapOuter-nopopup" style="">
				<div class="mapWrap-nopopup" id="map-canvas-step1" style=""></div>
			</div>
			<span id="estimatedDistance" class="nopopup"></span>
			<span id="estimatedDuration" class="nopopup"></span>
		</div>
		<?php } ?>
	</div>
	<div class="limobooking-step1-bottom-area mobile-device custom-col-sm-6 non-shared-rides">
		<div class="custom-form-group">
			<div id="step1Error" class="custom-alert custom-alert-danger" style="display: none;" role="alert"></div>
			<button class="custom-btn custom-btn-primary custom-btn-lg custom-btn-block see_price button-color" type="button"><?php echo _e('SEE_PRICE', 'tblight');?></button>
		</div>
	</div>
</div>
<input type="hidden" id="page" name="page" value="1" />

<?php
if( $has_chseats )
{
?>
<div id="childSeatsModal" class="custom-modal custom-fade custom-in" role="dialog" style="padding-right: 17px;">
	<div class="custom-modal-dialog custom-modal-sm">
		<div class="custom-modal-content">
			<div class="custom-modal-header">
				<button type="button" class="custom-close" data-dismiss="custom-modal">×</button>
				<h4 class="custom-modal-title"><?php echo _e('BOOKING_FORM_ADDITIONAL_SEATS_HEADER', 'tblight');?></h4>
			</div>
			<div class="custom-modal-body">
				<div class="seat_input_wrap childseats custom-clearfix" style="margin-bottom: 10px;">
					<label style="display: block;"><?php echo _e('CHILD_SEATS', 'tblight');?></label>
					<?php
					echo SelectList::getSelectListHtml("chseats", "styler_list seat_options", $chseats_options);
					?>
				</div>
			</div>
			<div class="custom-modal-footer">
				<button type="button" class="custom-btn custom-btn-default button-color" id="add_child_seats_btn">Add</button>
			</div>
		</div>
	</div>
</div>
<?php } ?>